#pragma once
#include "afxdialogex.h"


// Personnel 对话框

class Personnel : public CDialogEx
{
	DECLARE_DYNAMIC(Personnel)

public:
	Personnel(CWnd* pParent = nullptr);   // 标准构造函数
	virtual ~Personnel();

	// 对话框数据
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_PERSONNEL };
#endif

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持

	DECLARE_MESSAGE_MAP()
public:
	CListCtrl ListDeparment;
	CListCtrl ListAwati;
	CListCtrl ListStaff;
	CListCtrl ListPost;
	CComboBox DepName;
	CComboBox PostName;
	CString awatiName;
	CString awatiPhone;
	CString depName;
	CString postName;
	int i = 0;
public:
	virtual BOOL OnInitDialog();
	void InitListAwati();
	void InitListDeparment();
	void InitList3Staff();
	void InitListPost();

	void LoadAwatiForReview();
	void LoadDepartement();
	void LoadPost();
	void LoadSaff();
	
	afx_msg void OnNMClickListAwati(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnBnClickedAddDep();
	afx_msg void OnBnClickedPerDelete();
	afx_msg void OnBnClickedEntry();
	afx_msg void OnBnClickedAddPost();
	afx_msg void OnBnClickedDimission();
	
	afx_msg void OnTimer(UINT_PTR nIDEvent);//数据库心跳数据，免得掉线
};
